package com.goafanti.admin.bo;

import java.math.BigDecimal;

public class AdminStatisticsBo {
    private Integer privateSum;
    private Integer channelSum;
    private Integer signSum;
    private Integer rangePrivateSum;
    private Integer rangeChannelSum;
    private Integer rangeSignSum;
    private Integer publicReleaseSum;
    private Integer rangePublicReleaseSum;
    private Integer followSum;
    private Integer rangeFollowSum;
    private Integer orderSum;
    private BigDecimal receivables;
    private BigDecimal rangeReceivables;
    private Integer rejectSum;
    private Integer changeSum;
    private Integer rangeOrderSum;
    private Integer projectStopSum;
    private Integer projectCheckSum;
    private Integer callSum;
    private Integer connectSum;
    private Integer validSum;
    private BigDecimal callDurationSum;
    private Integer teamPeopleSum;
    private Integer teamCallSum;
    private Integer teamConnectSum;
    private Integer teamValidSum;
    private BigDecimal teamCallDurationSum;

    public Integer getTeamValidSum() {
        return teamValidSum;
    }

    public void setTeamValidSum(Integer teamValidSum) {
        this.teamValidSum = teamValidSum;
    }

    public Integer getTeamConnectSum() {
        return teamConnectSum;
    }

    public void setTeamConnectSum(Integer teamConnectSum) {
        this.teamConnectSum = teamConnectSum;
    }

    public Integer getConnectSum() {
        return connectSum;
    }

    public void setConnectSum(Integer connectSum) {
        this.connectSum = connectSum;
    }

    public Integer getValidSum() {
        return validSum;
    }

    public void setValidSum(Integer validSum) {
        this.validSum = validSum;
    }

    public Integer getTeamPeopleSum() {
        return teamPeopleSum;
    }

    public void setTeamPeopleSum(Integer teamPeopleSum) {
        this.teamPeopleSum = teamPeopleSum;
    }

    public Integer getTeamCallSum() {
        return teamCallSum;
    }

    public void setTeamCallSum(Integer teamCallSum) {
        this.teamCallSum = teamCallSum;
    }

    public BigDecimal getTeamCallDurationSum() {
        return teamCallDurationSum;
    }

    public void setTeamCallDurationSum(BigDecimal teamCallDurationSum) {
        this.teamCallDurationSum = teamCallDurationSum;
    }

    public Integer getCallSum() {
        return callSum;
    }

    public void setCallSum(Integer callSum) {
        this.callSum = callSum;
    }

    public BigDecimal getCallDurationSum() {
        return callDurationSum;
    }

    public void setCallDurationSum(BigDecimal callDurationSum) {
        this.callDurationSum = callDurationSum;
    }

    public BigDecimal getReceivables() {
        return receivables;
    }

    public void setReceivables(BigDecimal receivables) {
        this.receivables = receivables;
    }

    public BigDecimal getRangeReceivables() {
        return rangeReceivables;
    }

    public void setRangeReceivables(BigDecimal rangeReceivables) {
        this.rangeReceivables = rangeReceivables;
    }

    public Integer getPrivateSum() {
        if (privateSum == null) return 0;
        return privateSum;
    }

    public Integer getChannelSum() {
        if (channelSum == null) return 0;
        return channelSum;
    }

    public Integer getSignSum() {
        if (signSum == null) return 0;
        return signSum;
    }

    public Integer getRangePrivateSum() {
        if (rangePrivateSum == null) return 0;
        return rangePrivateSum;
    }

    public Integer getRangeChannelSum() {
        if (rangeChannelSum == null) return 0;
        return rangeChannelSum;
    }

    public Integer getRangeSignSum() {
        if (rangeSignSum == null) return 0;
        return rangeSignSum;
    }

    public Integer getPublicReleaseSum() {
        if (publicReleaseSum == null) return 0;
        return publicReleaseSum;
    }

    public Integer getRangePublicReleaseSum() {
        if (rangePublicReleaseSum == null) return 0;
        return rangePublicReleaseSum;
    }

    public Integer getFollowSum() {
        if (followSum == null) return 0;
        return followSum;
    }

    public Integer getRangeFollowSum() {
        if (rangeFollowSum == null) return 0;
        return rangeFollowSum;
    }

    public Integer getOrderSum() {
        if (orderSum == null) return 0;
        return orderSum;
    }

    public Integer getRejectSum() {
        if (rejectSum == null) return 0;
        return rejectSum;
    }

    public Integer getChangeSum() {
        if (changeSum == null) return 0;
        return changeSum;
    }

    public Integer getRangeOrderSum() {
        if (rangeOrderSum == null) return 0;
        return rangeOrderSum;
    }

    public Integer getProjectStopSum() {
        if (projectStopSum == null) return 0;
        return projectStopSum;
    }

    public Integer getProjectCheckSum() {
        if (projectCheckSum == null) return 0;
        return projectCheckSum;
    }

    public void setPrivateSum(Integer privateSum) {
        this.privateSum = privateSum;
    }

    public void setChannelSum(Integer channelSum) {
        this.channelSum = channelSum;
    }

    public void setSignSum(Integer signSum) {
        this.signSum = signSum;
    }

    public void setRangePrivateSum(Integer rangePrivateSum) {
        this.rangePrivateSum = rangePrivateSum;
    }

    public void setRangeChannelSum(Integer rangeChannelSum) {
        this.rangeChannelSum = rangeChannelSum;
    }

    public void setRangeSignSum(Integer rangeSignSum) {
        this.rangeSignSum = rangeSignSum;
    }

    public void setPublicReleaseSum(Integer publicReleaseSum) {
        this.publicReleaseSum = publicReleaseSum;
    }

    public void setRangePublicReleaseSum(Integer rangePublicReleaseSum) {
        this.rangePublicReleaseSum = rangePublicReleaseSum;
    }

    public void setFollowSum(Integer followSum) {
        this.followSum = followSum;
    }

    public void setRangeFollowSum(Integer rangeFollowSum) {
        this.rangeFollowSum = rangeFollowSum;
    }

    public void setOrderSum(Integer orderSum) {
        this.orderSum = orderSum;
    }

    public void setRejectSum(Integer rejectSum) {
        this.rejectSum = rejectSum;
    }

    public void setChangeSum(Integer changeSum) {
        this.changeSum = changeSum;
    }

    public void setRangeOrderSum(Integer rangeOrderSum) {
        this.rangeOrderSum = rangeOrderSum;
    }

    public void setProjectStopSum(Integer projectStopSum) {
        this.projectStopSum = projectStopSum;
    }

    public void setProjectCheckSum(Integer projectCheckSum) {
        this.projectCheckSum = projectCheckSum;
    }
}
